Skip to main content
GET
/
v1
/
api-keys
/
{key_id}
Get API Key
curl --request GET \
  --url https://api.example.com/v1/api-keys/{key_id}
import requests

url = "https://api.example.com/v1/api-keys/{key_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/v1/api-keys/{key_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "created_at": "2024-01-01T00:00:00",
  "expiration_date": "2024-12-31T23:59:59",
  "key_id": "507f1f77bcf86cd799439011",
  "name": "Development API Key",
  "permissions": [
    "read",
    "write"
  ],
  "revoked": false
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Path Parameters

key_id
string
required

Response

Successful Response

_id
string
required

Unique identifier for this API key in the database

name
string
required

The descriptive name given to this API key

permissions
string[]
required

List of permission scopes granted to this API key

expiration_date
string<date-time>
required

Timestamp when this API key will expire and become invalid

created_at
string<date-time>
required

Timestamp when this API key was created

created_by_user_id
string
required

Identifier of the user who created this API key

revoked
boolean
default:false

Indicates if this API key has been manually revoked before its expiration date